Index: isc-dhcp/common/tables.c
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/common/tables.c,v
retrieving revision 1.1
diff -u -r1.1 tables.c
--- isc-dhcp/common/tables.c	17 Jun 2003 02:45:00 -0000	1.1
+++ isc-dhcp/common/tables.c	9 Oct 2003 02:20:19 -0000
@@ -628,253 +629,253 @@
 	{ "hostname", "t",				&fqdn_universe, 6 },
 	{ "domainname", "t",				&fqdn_universe, 7 },
 	{ "fqdn", "t",					&fqdn_universe, 8 },
-	{ "#9", "X",				&fqdn_universe, 9 },
-	{ "#10", "X",				&fqdn_universe, 10 },
-	{ "#11", "X",				&fqdn_universe, 11 },
-	{ "#12", "X",				&fqdn_universe, 12 },
-	{ "#13", "X",				&fqdn_universe, 13 },
-	{ "#14", "X",				&fqdn_universe, 14 },
-	{ "#15", "X",				&fqdn_universe, 15 },
-	{ "#16", "X",				&fqdn_universe, 16 },
-	{ "#17", "X",				&fqdn_universe, 17 },
-	{ "#18", "X",				&fqdn_universe, 18 },
-	{ "#19", "X",				&fqdn_universe, 19 },
-	{ "#20", "X",				&fqdn_universe, 20 },
-	{ "#21", "X",				&fqdn_universe, 21 },
-	{ "#22", "X",				&fqdn_universe, 22 },
-	{ "#23", "X",				&fqdn_universe, 23 },
-	{ "#24", "X",				&fqdn_universe, 24 },
-	{ "#25", "X",				&fqdn_universe, 25 },
-	{ "#26", "X",				&fqdn_universe, 26 },
-	{ "#27", "X",				&fqdn_universe, 27 },
-	{ "#28", "X",				&fqdn_universe, 28 },
-	{ "#29", "X",				&fqdn_universe, 29 },
-	{ "#30", "X",				&fqdn_universe, 30 },
-	{ "#31", "X",				&fqdn_universe, 31 },
-	{ "#32", "X",				&fqdn_universe, 32 },
-	{ "#33", "X",				&fqdn_universe, 33 },
-	{ "#34", "X",				&fqdn_universe, 34 },
-	{ "#35", "X",				&fqdn_universe, 35 },
-	{ "#36", "X",				&fqdn_universe, 36 },
-	{ "#37", "X",				&fqdn_universe, 37 },
-	{ "#38", "X",				&fqdn_universe, 38 },
-	{ "#39", "X",				&fqdn_universe, 39 },
-	{ "#40", "X",				&fqdn_universe, 40 },
-	{ "#41", "X",				&fqdn_universe, 41 },
-	{ "#42", "X",				&fqdn_universe, 42 },
-	{ "#43", "X",				&fqdn_universe, 43 },
-	{ "#44", "X",				&fqdn_universe, 44 },
-	{ "#45", "X",				&fqdn_universe, 45 },
-	{ "#46", "X",				&fqdn_universe, 46 },
-	{ "#47", "X",				&fqdn_universe, 47 },
-	{ "#48", "X",				&fqdn_universe, 48 },
-	{ "#49", "X",				&fqdn_universe, 49 },
-	{ "#50", "X",				&fqdn_universe, 50 },
-	{ "#51", "X",				&fqdn_universe, 51 },
-	{ "#52", "X",				&fqdn_universe, 52 },
-	{ "#53", "X",				&fqdn_universe, 53 },
-	{ "#54", "X",				&fqdn_universe, 54 },
-	{ "#55", "X",				&fqdn_universe, 55 },
-	{ "#56", "X",				&fqdn_universe, 56 },
-	{ "#57", "X",				&fqdn_universe, 57 },
-	{ "#58", "X",				&fqdn_universe, 58 },
-	{ "#59", "X",				&fqdn_universe, 59 },
-	{ "#60", "X",				&fqdn_universe, 60 },
-	{ "#61", "X",				&fqdn_universe, 61 },
-	{ "#62", "X",				&fqdn_universe, 62 },
-	{ "#63", "X",				&fqdn_universe, 63 },
-	{ "#64", "X",				&fqdn_universe, 64 },
-	{ "#65", "X",				&fqdn_universe, 65 },
-	{ "#66", "X",				&fqdn_universe, 66 },
-	{ "#67", "X",				&fqdn_universe, 67 },
-	{ "#68", "X",				&fqdn_universe, 68 },
-	{ "#69", "X",				&fqdn_universe, 69 },
-	{ "#70", "X",				&fqdn_universe, 70 },
-	{ "#71", "X",				&fqdn_universe, 71 },
-	{ "#72", "X",				&fqdn_universe, 72 },
-	{ "#73", "X",				&fqdn_universe, 73 },
-	{ "#74", "X",				&fqdn_universe, 74 },
-	{ "#75", "X",				&fqdn_universe, 75 },
-	{ "#76", "X",				&fqdn_universe, 76 },
-	{ "#77", "X",				&fqdn_universe, 77 },
-	{ "#78", "X",				&fqdn_universe, 78 },
-	{ "#79", "X",				&fqdn_universe, 79 },
-	{ "#80", "X",				&fqdn_universe, 80 },
-	{ "#81", "X",				&fqdn_universe, 81 },
-	{ "#82", "X",				&fqdn_universe, 82 },
-	{ "#83", "X",				&fqdn_universe, 83 },
-	{ "#84", "X",				&fqdn_universe, 84 },
-	{ "#85", "X",				&fqdn_universe, 85 },
-	{ "#86", "X",				&fqdn_universe, 86 },
-	{ "#87", "X",				&fqdn_universe, 87 },
-	{ "#88", "X",				&fqdn_universe, 88 },
-	{ "#89", "X",				&fqdn_universe, 89 },
-	{ "#90", "X",				&fqdn_universe, 90 },
-	{ "#91", "X",				&fqdn_universe, 91 },
-	{ "#92", "X",				&fqdn_universe, 92 },
-	{ "#93", "X",				&fqdn_universe, 93 },
-	{ "#94", "X",				&fqdn_universe, 94 },
-	{ "#95", "X",				&fqdn_universe, 95 },
-	{ "#96", "X",				&fqdn_universe, 96 },
-	{ "#97", "X",				&fqdn_universe, 97 },
-	{ "#98", "X",				&fqdn_universe, 98 },
-	{ "#99", "X",				&fqdn_universe, 99 },
-	{ "#100", "X",				&fqdn_universe, 100 },
-	{ "#101", "X",				&fqdn_universe, 101 },
-	{ "#102", "X",				&fqdn_universe, 102 },
-	{ "#103", "X",				&fqdn_universe, 103 },
-	{ "#104", "X",				&fqdn_universe, 104 },
-	{ "#105", "X",				&fqdn_universe, 105 },
-	{ "#106", "X",				&fqdn_universe, 106 },
-	{ "#107", "X",				&fqdn_universe, 107 },
-	{ "#108", "X",				&fqdn_universe, 108 },
-	{ "#109", "X",				&fqdn_universe, 109 },
-	{ "#110", "X",				&fqdn_universe, 110 },
-	{ "#111", "X",				&fqdn_universe, 111 },
-	{ "#112", "X",				&fqdn_universe, 112 },
-	{ "#113", "X",				&fqdn_universe, 113 },
-	{ "#114", "X",				&fqdn_universe, 114 },
-	{ "#115", "X",				&fqdn_universe, 115 },
-	{ "#116", "X",				&fqdn_universe, 116 },
-	{ "#117", "X",				&fqdn_universe, 117 },
-	{ "#118", "X",				&fqdn_universe, 118 },
-	{ "#119", "X",				&fqdn_universe, 119 },
-	{ "#120", "X",				&fqdn_universe, 120 },
-	{ "#121", "X",				&fqdn_universe, 121 },
-	{ "#122", "X",				&fqdn_universe, 122 },
-	{ "#123", "X",				&fqdn_universe, 123 },
-	{ "#124", "X",				&fqdn_universe, 124 },
-	{ "#125", "X",				&fqdn_universe, 125 },
-	{ "#126", "X",				&fqdn_universe, 126 },
-	{ "#127", "X",				&fqdn_universe, 127 },
-	{ "#128", "X",				&fqdn_universe, 128 },
-	{ "#129", "X",				&fqdn_universe, 129 },
-	{ "#130", "X",				&fqdn_universe, 130 },
-	{ "#131", "X",				&fqdn_universe, 131 },
-	{ "#132", "X",				&fqdn_universe, 132 },
-	{ "#133", "X",				&fqdn_universe, 133 },
-	{ "#134", "X",				&fqdn_universe, 134 },
-	{ "#135", "X",				&fqdn_universe, 135 },
-	{ "#136", "X",				&fqdn_universe, 136 },
-	{ "#137", "X",				&fqdn_universe, 137 },
-	{ "#138", "X",				&fqdn_universe, 138 },
-	{ "#139", "X",				&fqdn_universe, 139 },
-	{ "#140", "X",				&fqdn_universe, 140 },
-	{ "#141", "X",				&fqdn_universe, 141 },
-	{ "#142", "X",				&fqdn_universe, 142 },
-	{ "#143", "X",				&fqdn_universe, 143 },
-	{ "#144", "X",				&fqdn_universe, 144 },
-	{ "#145", "X",				&fqdn_universe, 145 },
-	{ "#146", "X",				&fqdn_universe, 146 },
-	{ "#147", "X",				&fqdn_universe, 147 },
-	{ "#148", "X",				&fqdn_universe, 148 },
-	{ "#149", "X",				&fqdn_universe, 149 },
-	{ "#150", "X",				&fqdn_universe, 150 },
-	{ "#151", "X",				&fqdn_universe, 151 },
-	{ "#152", "X",				&fqdn_universe, 152 },
-	{ "#153", "X",				&fqdn_universe, 153 },
-	{ "#154", "X",				&fqdn_universe, 154 },
-	{ "#155", "X",				&fqdn_universe, 155 },
-	{ "#156", "X",				&fqdn_universe, 156 },
-	{ "#157", "X",				&fqdn_universe, 157 },
-	{ "#158", "X",				&fqdn_universe, 158 },
-	{ "#159", "X",				&fqdn_universe, 159 },
-	{ "#160", "X",				&fqdn_universe, 160 },
-	{ "#161", "X",				&fqdn_universe, 161 },
-	{ "#162", "X",				&fqdn_universe, 162 },
-	{ "#163", "X",				&fqdn_universe, 163 },
-	{ "#164", "X",				&fqdn_universe, 164 },
-	{ "#165", "X",				&fqdn_universe, 165 },
-	{ "#166", "X",				&fqdn_universe, 166 },
-	{ "#167", "X",				&fqdn_universe, 167 },
-	{ "#168", "X",				&fqdn_universe, 168 },
-	{ "#169", "X",				&fqdn_universe, 169 },
-	{ "#170", "X",				&fqdn_universe, 170 },
-	{ "#171", "X",				&fqdn_universe, 171 },
-	{ "#172", "X",				&fqdn_universe, 172 },
-	{ "#173", "X",				&fqdn_universe, 173 },
-	{ "#174", "X",				&fqdn_universe, 174 },
-	{ "#175", "X",				&fqdn_universe, 175 },
-	{ "#176", "X",				&fqdn_universe, 176 },
-	{ "#177", "X",				&fqdn_universe, 177 },
-	{ "#178", "X",				&fqdn_universe, 178 },
-	{ "#179", "X",				&fqdn_universe, 179 },
-	{ "#180", "X",				&fqdn_universe, 180 },
-	{ "#181", "X",				&fqdn_universe, 181 },
-	{ "#182", "X",				&fqdn_universe, 182 },
-	{ "#183", "X",				&fqdn_universe, 183 },
-	{ "#184", "X",				&fqdn_universe, 184 },
-	{ "#185", "X",				&fqdn_universe, 185 },
-	{ "#186", "X",				&fqdn_universe, 186 },
-	{ "#187", "X",				&fqdn_universe, 187 },
-	{ "#188", "X",				&fqdn_universe, 188 },
-	{ "#189", "X",				&fqdn_universe, 189 },
-	{ "#190", "X",				&fqdn_universe, 190 },
-	{ "#191", "X",				&fqdn_universe, 191 },
-	{ "#192", "X",				&fqdn_universe, 192 },
-	{ "#193", "X",				&fqdn_universe, 193 },
-	{ "#194", "X",				&fqdn_universe, 194 },
-	{ "#195", "X",				&fqdn_universe, 195 },
-	{ "#196", "X",				&fqdn_universe, 196 },
-	{ "#197", "X",				&fqdn_universe, 197 },
-	{ "#198", "X",				&fqdn_universe, 198 },
-	{ "#199", "X",				&fqdn_universe, 199 },
-	{ "#200", "X",				&fqdn_universe, 200 },
-	{ "#201", "X",				&fqdn_universe, 201 },
-	{ "#202", "X",				&fqdn_universe, 202 },
-	{ "#203", "X",				&fqdn_universe, 203 },
-	{ "#204", "X",				&fqdn_universe, 204 },
-	{ "#205", "X",				&fqdn_universe, 205 },
-	{ "#206", "X",				&fqdn_universe, 206 },
-	{ "#207", "X",				&fqdn_universe, 207 },
-	{ "#208", "X",				&fqdn_universe, 208 },
-	{ "#209", "X",				&fqdn_universe, 209 },
-	{ "#210", "X",				&fqdn_universe, 210 },
-	{ "#211", "X",				&fqdn_universe, 211 },
-	{ "#212", "X",				&fqdn_universe, 212 },
-	{ "#213", "X",				&fqdn_universe, 213 },
-	{ "#214", "X",				&fqdn_universe, 214 },
-	{ "#215", "X",				&fqdn_universe, 215 },
-	{ "#216", "X",				&fqdn_universe, 216 },
-	{ "#217", "X",				&fqdn_universe, 217 },
-	{ "#218", "X",				&fqdn_universe, 218 },
-	{ "#219", "X",				&fqdn_universe, 219 },
-	{ "#220", "X",				&fqdn_universe, 220 },
-	{ "#221", "X",				&fqdn_universe, 221 },
-	{ "#222", "X",				&fqdn_universe, 222 },
-	{ "#223", "X",				&fqdn_universe, 223 },
-	{ "#224", "X",				&fqdn_universe, 224 },
-	{ "#225", "X",				&fqdn_universe, 225 },
-	{ "#226", "X",				&fqdn_universe, 226 },
-	{ "#227", "X",				&fqdn_universe, 227 },
-	{ "#228", "X",				&fqdn_universe, 228 },
-	{ "#229", "X",				&fqdn_universe, 229 },
-	{ "#230", "X",				&fqdn_universe, 230 },
-	{ "#231", "X",				&fqdn_universe, 231 },
-	{ "#232", "X",				&fqdn_universe, 232 },
-	{ "#233", "X",				&fqdn_universe, 233 },
-	{ "#234", "X",				&fqdn_universe, 234 },
-	{ "#235", "X",				&fqdn_universe, 235 },
-	{ "#236", "X",				&fqdn_universe, 236 },
-	{ "#237", "X",				&fqdn_universe, 237 },
-	{ "#238", "X",				&fqdn_universe, 238 },
-	{ "#239", "X",				&fqdn_universe, 239 },
-	{ "#240", "X",				&fqdn_universe, 240 },
-	{ "#241", "X",				&fqdn_universe, 241 },
-	{ "#242", "X",				&fqdn_universe, 242 },
-	{ "#243", "X",				&fqdn_universe, 243 },
-	{ "#244", "X",				&fqdn_universe, 244 },
-	{ "#245", "X",				&fqdn_universe, 245 },
-	{ "#246", "X",				&fqdn_universe, 246 },
-	{ "#247", "X",				&fqdn_universe, 247 },
-	{ "#248", "X",				&fqdn_universe, 248 },
-	{ "#249", "X",				&fqdn_universe, 249 },
-	{ "#250", "X",				&fqdn_universe, 250 },
-	{ "#251", "X",				&fqdn_universe, 251 },
-	{ "#252", "X",				&fqdn_universe, 252 },
-	{ "#253", "X",				&fqdn_universe, 253 },
-	{ "#254", "X",				&fqdn_universe, 254 },
-	{ "#end", "e",				&fqdn_universe, 255 },
+	{ "unknown-9", "X",				&fqdn_universe, 9 },
+	{ "unknown-10", "X",				&fqdn_universe, 10 },
+	{ "unknown-11", "X",				&fqdn_universe, 11 },
+	{ "unknown-12", "X",				&fqdn_universe, 12 },
+	{ "unknown-13", "X",				&fqdn_universe, 13 },
+	{ "unknown-14", "X",				&fqdn_universe, 14 },
+	{ "unknown-15", "X",				&fqdn_universe, 15 },
+	{ "unknown-16", "X",				&fqdn_universe, 16 },
+	{ "unknown-17", "X",				&fqdn_universe, 17 },
+	{ "unknown-18", "X",				&fqdn_universe, 18 },
+	{ "unknown-19", "X",				&fqdn_universe, 19 },
+	{ "unknown-20", "X",				&fqdn_universe, 20 },
+	{ "unknown-21", "X",				&fqdn_universe, 21 },
+	{ "unknown-22", "X",				&fqdn_universe, 22 },
+	{ "unknown-23", "X",				&fqdn_universe, 23 },
+	{ "unknown-24", "X",				&fqdn_universe, 24 },
+	{ "unknown-25", "X",				&fqdn_universe, 25 },
+	{ "unknown-26", "X",				&fqdn_universe, 26 },
+	{ "unknown-27", "X",				&fqdn_universe, 27 },
+	{ "unknown-28", "X",				&fqdn_universe, 28 },
+	{ "unknown-29", "X",				&fqdn_universe, 29 },
+	{ "unknown-30", "X",				&fqdn_universe, 30 },
+	{ "unknown-31", "X",				&fqdn_universe, 31 },
+	{ "unknown-32", "X",				&fqdn_universe, 32 },
+	{ "unknown-33", "X",				&fqdn_universe, 33 },
+	{ "unknown-34", "X",				&fqdn_universe, 34 },
+	{ "unknown-35", "X",				&fqdn_universe, 35 },
+	{ "unknown-36", "X",				&fqdn_universe, 36 },
+	{ "unknown-37", "X",				&fqdn_universe, 37 },
+	{ "unknown-38", "X",				&fqdn_universe, 38 },
+	{ "unknown-39", "X",				&fqdn_universe, 39 },
+	{ "unknown-40", "X",				&fqdn_universe, 40 },
+	{ "unknown-41", "X",				&fqdn_universe, 41 },
+	{ "unknown-42", "X",				&fqdn_universe, 42 },
+	{ "unknown-43", "X",				&fqdn_universe, 43 },
+	{ "unknown-44", "X",				&fqdn_universe, 44 },
+	{ "unknown-45", "X",				&fqdn_universe, 45 },
+	{ "unknown-46", "X",				&fqdn_universe, 46 },
+	{ "unknown-47", "X",				&fqdn_universe, 47 },
+	{ "unknown-48", "X",				&fqdn_universe, 48 },
+	{ "unknown-49", "X",				&fqdn_universe, 49 },
+	{ "unknown-50", "X",				&fqdn_universe, 50 },
+	{ "unknown-51", "X",				&fqdn_universe, 51 },
+	{ "unknown-52", "X",				&fqdn_universe, 52 },
+	{ "unknown-53", "X",				&fqdn_universe, 53 },
+	{ "unknown-54", "X",				&fqdn_universe, 54 },
+	{ "unknown-55", "X",				&fqdn_universe, 55 },
+	{ "unknown-56", "X",				&fqdn_universe, 56 },
+	{ "unknown-57", "X",				&fqdn_universe, 57 },
+	{ "unknown-58", "X",				&fqdn_universe, 58 },
+	{ "unknown-59", "X",				&fqdn_universe, 59 },
+	{ "unknown-60", "X",				&fqdn_universe, 60 },
+	{ "unknown-61", "X",				&fqdn_universe, 61 },
+	{ "unknown-62", "X",				&fqdn_universe, 62 },
+	{ "unknown-63", "X",				&fqdn_universe, 63 },
+	{ "unknown-64", "X",				&fqdn_universe, 64 },
+	{ "unknown-65", "X",				&fqdn_universe, 65 },
+	{ "unknown-66", "X",				&fqdn_universe, 66 },
+	{ "unknown-67", "X",				&fqdn_universe, 67 },
+	{ "unknown-68", "X",				&fqdn_universe, 68 },
+	{ "unknown-69", "X",				&fqdn_universe, 69 },
+	{ "unknown-70", "X",				&fqdn_universe, 70 },
+	{ "unknown-71", "X",				&fqdn_universe, 71 },
+	{ "unknown-72", "X",				&fqdn_universe, 72 },
+	{ "unknown-73", "X",				&fqdn_universe, 73 },
+	{ "unknown-74", "X",				&fqdn_universe, 74 },
+	{ "unknown-75", "X",				&fqdn_universe, 75 },
+	{ "unknown-76", "X",				&fqdn_universe, 76 },
+	{ "unknown-77", "X",				&fqdn_universe, 77 },
+	{ "unknown-78", "X",				&fqdn_universe, 78 },
+	{ "unknown-79", "X",				&fqdn_universe, 79 },
+	{ "unknown-80", "X",				&fqdn_universe, 80 },
+	{ "unknown-81", "X",				&fqdn_universe, 81 },
+	{ "unknown-82", "X",				&fqdn_universe, 82 },
+	{ "unknown-83", "X",				&fqdn_universe, 83 },
+	{ "unknown-84", "X",				&fqdn_universe, 84 },
+	{ "unknown-85", "X",				&fqdn_universe, 85 },
+	{ "unknown-86", "X",				&fqdn_universe, 86 },
+	{ "unknown-87", "X",				&fqdn_universe, 87 },
+	{ "unknown-88", "X",				&fqdn_universe, 88 },
+	{ "unknown-89", "X",				&fqdn_universe, 89 },
+	{ "unknown-90", "X",				&fqdn_universe, 90 },
+	{ "unknown-91", "X",				&fqdn_universe, 91 },
+	{ "unknown-92", "X",				&fqdn_universe, 92 },
+	{ "unknown-93", "X",				&fqdn_universe, 93 },
+	{ "unknown-94", "X",				&fqdn_universe, 94 },
+	{ "unknown-95", "X",				&fqdn_universe, 95 },
+	{ "unknown-96", "X",				&fqdn_universe, 96 },
+	{ "unknown-97", "X",				&fqdn_universe, 97 },
+	{ "unknown-98", "X",				&fqdn_universe, 98 },
+	{ "unknown-99", "X",				&fqdn_universe, 99 },
+	{ "unknown-100", "X",				&fqdn_universe, 100 },
+	{ "unknown-101", "X",				&fqdn_universe, 101 },
+	{ "unknown-102", "X",				&fqdn_universe, 102 },
+	{ "unknown-103", "X",				&fqdn_universe, 103 },
+	{ "unknown-104", "X",				&fqdn_universe, 104 },
+	{ "unknown-105", "X",				&fqdn_universe, 105 },
+	{ "unknown-106", "X",				&fqdn_universe, 106 },
+	{ "unknown-107", "X",				&fqdn_universe, 107 },
+	{ "unknown-108", "X",				&fqdn_universe, 108 },
+	{ "unknown-109", "X",				&fqdn_universe, 109 },
+	{ "unknown-110", "X",				&fqdn_universe, 110 },
+	{ "unknown-111", "X",				&fqdn_universe, 111 },
+	{ "unknown-112", "X",				&fqdn_universe, 112 },
+	{ "unknown-113", "X",				&fqdn_universe, 113 },
+	{ "unknown-114", "X",				&fqdn_universe, 114 },
+	{ "unknown-115", "X",				&fqdn_universe, 115 },
+	{ "unknown-116", "X",				&fqdn_universe, 116 },
+	{ "unknown-117", "X",				&fqdn_universe, 117 },
+	{ "unknown-118", "X",				&fqdn_universe, 118 },
+	{ "unknown-119", "X",				&fqdn_universe, 119 },
+	{ "unknown-120", "X",				&fqdn_universe, 120 },
+	{ "unknown-121", "X",				&fqdn_universe, 121 },
+	{ "unknown-122", "X",				&fqdn_universe, 122 },
+	{ "unknown-123", "X",				&fqdn_universe, 123 },
+	{ "unknown-124", "X",				&fqdn_universe, 124 },
+	{ "unknown-125", "X",				&fqdn_universe, 125 },
+	{ "unknown-126", "X",				&fqdn_universe, 126 },
+	{ "unknown-127", "X",				&fqdn_universe, 127 },
+	{ "unknown-128", "X",				&fqdn_universe, 128 },
+	{ "unknown-129", "X",				&fqdn_universe, 129 },
+	{ "unknown-130", "X",				&fqdn_universe, 130 },
+	{ "unknown-131", "X",				&fqdn_universe, 131 },
+	{ "unknown-132", "X",				&fqdn_universe, 132 },
+	{ "unknown-133", "X",				&fqdn_universe, 133 },
+	{ "unknown-134", "X",				&fqdn_universe, 134 },
+	{ "unknown-135", "X",				&fqdn_universe, 135 },
+	{ "unknown-136", "X",				&fqdn_universe, 136 },
+	{ "unknown-137", "X",				&fqdn_universe, 137 },
+	{ "unknown-138", "X",				&fqdn_universe, 138 },
+	{ "unknown-139", "X",				&fqdn_universe, 139 },
+	{ "unknown-140", "X",				&fqdn_universe, 140 },
+	{ "unknown-141", "X",				&fqdn_universe, 141 },
+	{ "unknown-142", "X",				&fqdn_universe, 142 },
+	{ "unknown-143", "X",				&fqdn_universe, 143 },
+	{ "unknown-144", "X",				&fqdn_universe, 144 },
+	{ "unknown-145", "X",				&fqdn_universe, 145 },
+	{ "unknown-146", "X",				&fqdn_universe, 146 },
+	{ "unknown-147", "X",				&fqdn_universe, 147 },
+	{ "unknown-148", "X",				&fqdn_universe, 148 },
+	{ "unknown-149", "X",				&fqdn_universe, 149 },
+	{ "unknown-150", "X",				&fqdn_universe, 150 },
+	{ "unknown-151", "X",				&fqdn_universe, 151 },
+	{ "unknown-152", "X",				&fqdn_universe, 152 },
+	{ "unknown-153", "X",				&fqdn_universe, 153 },
+	{ "unknown-154", "X",				&fqdn_universe, 154 },
+	{ "unknown-155", "X",				&fqdn_universe, 155 },
+	{ "unknown-156", "X",				&fqdn_universe, 156 },
+	{ "unknown-157", "X",				&fqdn_universe, 157 },
+	{ "unknown-158", "X",				&fqdn_universe, 158 },
+	{ "unknown-159", "X",				&fqdn_universe, 159 },
+	{ "unknown-160", "X",				&fqdn_universe, 160 },
+	{ "unknown-161", "X",				&fqdn_universe, 161 },
+	{ "unknown-162", "X",				&fqdn_universe, 162 },
+	{ "unknown-163", "X",				&fqdn_universe, 163 },
+	{ "unknown-164", "X",				&fqdn_universe, 164 },
+	{ "unknown-165", "X",				&fqdn_universe, 165 },
+	{ "unknown-166", "X",				&fqdn_universe, 166 },
+	{ "unknown-167", "X",				&fqdn_universe, 167 },
+	{ "unknown-168", "X",				&fqdn_universe, 168 },
+	{ "unknown-169", "X",				&fqdn_universe, 169 },
+	{ "unknown-170", "X",				&fqdn_universe, 170 },
+	{ "unknown-171", "X",				&fqdn_universe, 171 },
+	{ "unknown-172", "X",				&fqdn_universe, 172 },
+	{ "unknown-173", "X",				&fqdn_universe, 173 },
+	{ "unknown-174", "X",				&fqdn_universe, 174 },
+	{ "unknown-175", "X",				&fqdn_universe, 175 },
+	{ "unknown-176", "X",				&fqdn_universe, 176 },
+	{ "unknown-177", "X",				&fqdn_universe, 177 },
+	{ "unknown-178", "X",				&fqdn_universe, 178 },
+	{ "unknown-179", "X",				&fqdn_universe, 179 },
+	{ "unknown-180", "X",				&fqdn_universe, 180 },
+	{ "unknown-181", "X",				&fqdn_universe, 181 },
+	{ "unknown-182", "X",				&fqdn_universe, 182 },
+	{ "unknown-183", "X",				&fqdn_universe, 183 },
+	{ "unknown-184", "X",				&fqdn_universe, 184 },
+	{ "unknown-185", "X",				&fqdn_universe, 185 },
+	{ "unknown-186", "X",				&fqdn_universe, 186 },
+	{ "unknown-187", "X",				&fqdn_universe, 187 },
+	{ "unknown-188", "X",				&fqdn_universe, 188 },
+	{ "unknown-189", "X",				&fqdn_universe, 189 },
+	{ "unknown-190", "X",				&fqdn_universe, 190 },
+	{ "unknown-191", "X",				&fqdn_universe, 191 },
+	{ "unknown-192", "X",				&fqdn_universe, 192 },
+	{ "unknown-193", "X",				&fqdn_universe, 193 },
+	{ "unknown-194", "X",				&fqdn_universe, 194 },
+	{ "unknown-195", "X",				&fqdn_universe, 195 },
+	{ "unknown-196", "X",				&fqdn_universe, 196 },
+	{ "unknown-197", "X",				&fqdn_universe, 197 },
+	{ "unknown-198", "X",				&fqdn_universe, 198 },
+	{ "unknown-199", "X",				&fqdn_universe, 199 },
+	{ "unknown-200", "X",				&fqdn_universe, 200 },
+	{ "unknown-201", "X",				&fqdn_universe, 201 },
+	{ "unknown-202", "X",				&fqdn_universe, 202 },
+	{ "unknown-203", "X",				&fqdn_universe, 203 },
+	{ "unknown-204", "X",				&fqdn_universe, 204 },
+	{ "unknown-205", "X",				&fqdn_universe, 205 },
+	{ "unknown-206", "X",				&fqdn_universe, 206 },
+	{ "unknown-207", "X",				&fqdn_universe, 207 },
+	{ "unknown-208", "X",				&fqdn_universe, 208 },
+	{ "unknown-209", "X",				&fqdn_universe, 209 },
+	{ "unknown-210", "X",				&fqdn_universe, 210 },
+	{ "unknown-211", "X",				&fqdn_universe, 211 },
+	{ "unknown-212", "X",				&fqdn_universe, 212 },
+	{ "unknown-213", "X",				&fqdn_universe, 213 },
+	{ "unknown-214", "X",				&fqdn_universe, 214 },
+	{ "unknown-215", "X",				&fqdn_universe, 215 },
+	{ "unknown-216", "X",				&fqdn_universe, 216 },
+	{ "unknown-217", "X",				&fqdn_universe, 217 },
+	{ "unknown-218", "X",				&fqdn_universe, 218 },
+	{ "unknown-219", "X",				&fqdn_universe, 219 },
+	{ "unknown-220", "X",				&fqdn_universe, 220 },
+	{ "unknown-221", "X",				&fqdn_universe, 221 },
+	{ "unknown-222", "X",				&fqdn_universe, 222 },
+	{ "unknown-223", "X",				&fqdn_universe, 223 },
+	{ "unknown-224", "X",				&fqdn_universe, 224 },
+	{ "unknown-225", "X",				&fqdn_universe, 225 },
+	{ "unknown-226", "X",				&fqdn_universe, 226 },
+	{ "unknown-227", "X",				&fqdn_universe, 227 },
+	{ "unknown-228", "X",				&fqdn_universe, 228 },
+	{ "unknown-229", "X",				&fqdn_universe, 229 },
+	{ "unknown-230", "X",				&fqdn_universe, 230 },
+	{ "unknown-231", "X",				&fqdn_universe, 231 },
+	{ "unknown-232", "X",				&fqdn_universe, 232 },
+	{ "unknown-233", "X",				&fqdn_universe, 233 },
+	{ "unknown-234", "X",				&fqdn_universe, 234 },
+	{ "unknown-235", "X",				&fqdn_universe, 235 },
+	{ "unknown-236", "X",				&fqdn_universe, 236 },
+	{ "unknown-237", "X",				&fqdn_universe, 237 },
+	{ "unknown-238", "X",				&fqdn_universe, 238 },
+	{ "unknown-239", "X",				&fqdn_universe, 239 },
+	{ "unknown-240", "X",				&fqdn_universe, 240 },
+	{ "unknown-241", "X",				&fqdn_universe, 241 },
+	{ "unknown-242", "X",				&fqdn_universe, 242 },
+	{ "unknown-243", "X",				&fqdn_universe, 243 },
+	{ "unknown-244", "X",				&fqdn_universe, 244 },
+	{ "unknown-245", "X",				&fqdn_universe, 245 },
+	{ "unknown-246", "X",				&fqdn_universe, 246 },
+	{ "unknown-247", "X",				&fqdn_universe, 247 },
+	{ "unknown-248", "X",				&fqdn_universe, 248 },
+	{ "unknown-249", "X",				&fqdn_universe, 249 },
+	{ "unknown-250", "X",				&fqdn_universe, 250 },
+	{ "unknown-251", "X",				&fqdn_universe, 251 },
+	{ "unknown-252", "X",				&fqdn_universe, 252 },
+	{ "unknown-253", "X",				&fqdn_universe, 253 },
+	{ "unknown-254", "X",				&fqdn_universe, 254 },
+	{ "unknown-end", "e",				&fqdn_universe, 255 },
 };
 
 const char *hardware_types [] = {
Index: isc-dhcp/includes/dhcpd.h
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/includes/dhcpd.h,v
retrieving revision 1.1
diff -u -r1.1 dhcpd.h
--- isc-dhcp/includes/dhcpd.h	17 Jun 2003 02:45:01 -0000	1.1
+++ isc-dhcp/includes/dhcpd.h	9 Oct 2003 02:28:14 -0000
@@ -39,6 +39,9 @@
  * ``http://www.isc.org/''.  To learn more about Vixie Enterprises,
  * see ``http://www.vix.com''.   To learn more about Nominum, Inc., see
  * ``http://www.nominum.com''.
+ *
+ * $FreeBSD: src/contrib/isc-dhcp/includes/dhcpd.h,v 1.8 2003/09/02 11:13:21 mbr Exp $
+ * $DragonFly$
  */
 
 #ifndef __CYGWIN32__
@@ -99,6 +102,9 @@
 	 (((x) >> OPTION_HASH_EXP) & \
 	  (OPTION_HASH_PTWO - 1))) % OPTION_HASH_SIZE;
 
+#define NOLINK 0
+#define HAVELINK 1
+
 enum dhcp_shutdown_state {
 	shutdown_listeners,
 	shutdown_omapi_connections,
@@ -420,6 +426,11 @@
 #define SV_UPDATE_STATIC_LEASES		43
 #define SV_LOG_FACILITY			44
 #define SV_DO_FORWARD_UPDATES		45
+#define SV_PING_TIMEOUT         46
+
+#if !defined (DEFAULT_PING_TIMEOUT)
+# define DEFAULT_PING_TIMEOUT 1
+#endif
 
 #if !defined (DEFAULT_DEFAULT_LEASE_TIME)
 # define DEFAULT_DEFAULT_LEASE_TIME 43200
@@ -778,6 +789,11 @@
 	unsigned remote_id_len;		/* Length of Remote ID. */
 
 	char name [IFNAMSIZ];		/* Its name... */
+	int ieee80211;			/* True if media is ieee802.11 */
+	int havemedia;			/* True if we have a media table */
+	int linkstate;			/* True if we have link */
+	int polling;			/* True if polling is enabled */
+	int forcediscover;		/* True if a discover is needed */
 	int index;			/* Its index. */
 	int rfdesc;			/* Its read file descriptor. */
 	int wfdesc;			/* Its write file descriptor, if
@@ -1853,12 +1869,21 @@
 void send_decline PROTO ((void *));
 
 void state_reboot PROTO ((void *));
+#ifdef ENABLE_POLLING_MODE
+void state_polling PROTO (());
+void state_background PROTO ((void *));
+#endif
 void state_init PROTO ((void *));
 void state_selecting PROTO ((void *));
 void state_requesting PROTO ((void *));
 void state_bound PROTO ((void *));
 void state_stop PROTO ((void *));
 void state_panic PROTO ((void *));
+
+#ifdef __FreeBSD__
+void set_ieee80211 PROTO ((struct interface_info *));
+#endif
+int interface_active PROTO ((struct interface_info *));
 
 void bind_lease PROTO ((struct client_state *));
 
Index: isc-dhcp/includes/version.h
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/includes/version.h,v
retrieving revision 1.1
diff -u -r1.1 version.h
--- isc-dhcp/includes/version.h	17 Jun 2003 02:45:01 -0000	1.1
+++ isc-dhcp/includes/version.h	9 Oct 2003 02:20:19 -0000
@@ -1,3 +1,3 @@
 /* Current version of ISC DHCP Distribution. */
 
-#define DHCP_VERSION	"V3.0.1rc11"
+#define DHCP_VERSION	"V3.0.1rc12"
Index: isc-dhcp/includes/cf/freebsd.h
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/includes/cf/freebsd.h,v
retrieving revision 1.2
diff -u -r1.2 freebsd.h
--- isc-dhcp/includes/cf/freebsd.h	17 Jun 2003 04:24:02 -0000	1.2
+++ isc-dhcp/includes/cf/freebsd.h	9 Oct 2003 02:29:39 -0000
@@ -40,8 +40,7 @@
  * see ``http://www.vix.com''.   To learn more about Nominum, Inc., see
  * ``http://www.nominum.com''.
  *
- * $FreeBSD: src/contrib/isc-dhcp/includes/cf/freebsd.h,v 1.3.4.2 2003/03/02 16:42:40 murray Exp $
- * $DragonFly: src/contrib/isc-dhcp/includes/cf/freebsd.h,v 1.2 2003/06/17 04:24:02 dillon Exp $
+ * $FreeBSD: src/contrib/isc-dhcp/includes/cf/freebsd.h,v 1.6 2003/06/29 18:46:17 gordon Exp $
  */
 
 #include <syslog.h>
@@ -104,6 +103,10 @@
 #define SOCKLEN_T int
 #endif
 
+#ifdef RESCUE
+#define _PATH_DHCLIENT_SCRIPT	"/sbin/dhclient-script"
+#endif
+
 #if defined (USE_DEFAULT_NETWORK)
 #  define USE_BPF
 #endif
@@ -114,6 +117,9 @@
  #endif /* HAVE_DEV_RANDOM */
 
 const char *cmds[] = {
+#ifndef RESCUE
+	/* rescue environment can't rely on these ... */
+	/* Actually, /sbin/dhclient shouldn't use these, either. */
 	"/bin/ps -axlw 2>&1",
 	"/usr/sbin/arp -an 2>&1",
 	"/usr/bin/netstat -an 2>&1",
@@ -124,10 +130,12 @@
 	"/usr/sbin/iostat  2>&1",
 	"/usr/bin/vmstat  2>&1",
 	"/usr/bin/w  2>&1",
+#endif
 	NULL
 };
 
 const char *dirs[] = {
+#ifndef RESCUE
 	"/tmp",
 	"/usr/tmp",
 	".",
@@ -137,13 +145,16 @@
 	"/var/mail",
 	"/home",
 	"/usr/home",
+#endif
 	NULL
 };
 
 const char *files[] = {
+#ifndef RESCUE
 	"/var/log/messages",
 	"/var/log/wtmp",
 	"/var/log/lastlog",
+#endif
 	NULL
 };
 #endif /* NEED_PRAND_CONF */
Index: isc-dhcp/minires/res_mkupdate.c
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/minires/res_mkupdate.c,v
retrieving revision 1.1
diff -u -r1.1 res_mkupdate.c
--- isc-dhcp/minires/res_mkupdate.c	17 Jun 2003 02:45:02 -0000	1.1
+++ isc-dhcp/minires/res_mkupdate.c	9 Oct 2003 02:20:19 -0000
@@ -21,7 +21,7 @@
  */
 
 #if !defined(lint) && !defined(SABER)
-static const char rcsid[] = "$Id: res_mkupdate.c,v 1.7 2001/01/11 02:16:24 mellon Exp $";
+static const char rcsid[] = "$Id: res_mkupdate.c,v 1.7.2.2 2003/05/19 00:33:22 dhankins Exp $";
 #endif /* not lint */
 
 #include <sys/types.h>
@@ -52,6 +52,7 @@
 static int getword_str(char *, int,
 		       const unsigned char **,
 		       const unsigned char *);
+static int getphrase_str(char *, int, const u_char **, const u_char *);
 static int getstr_str(char *, int, const u_char **, const u_char *);
 
 struct valuelist {
@@ -101,7 +102,8 @@
 	u_int16_t rtype, rclass;
 	u_int32_t n1, rttl;
 	u_char *dnptrs[20], **dpp, **lastdnptr;
-	unsigned siglen, keylen, certlen;
+	unsigned siglen, certlen;
+	int keylen;
 	unsigned buflen = *blp;
 	u_char *buf = (unsigned char *)bp;
 
@@ -234,7 +236,7 @@
 		case T_MR:
 		case T_NS:
 		case T_PTR:
-			if (!getword_str(buf2, sizeof buf2, &startp, endp))
+			if (!getphrase_str(buf2, sizeof buf2, &startp, endp))
 				return (-1);
 			n = dn_comp(buf2, cp, buflen, dnptrs, lastdnptr);
 			if (n < 0)
@@ -549,36 +551,6 @@
 			cp += siglen;
 			break;
 		    }
-		case ns_t_key:
-			/* flags */
-			n = gethexnum_str(&startp, endp);
-			if (n < 0)
-				return (-1);
-			ShrinkBuffer(INT16SZ);
-			PUTSHORT(n, cp);
-			/* proto */
-			n = getnum_str(&startp, endp);
-			if (n < 0)
-				return (-1);
-			ShrinkBuffer(1);
-			*cp++ = n;
-			/* alg */
-			n = getnum_str(&startp, endp);
-			if (n < 0)
-				return (-1);
-			ShrinkBuffer(1);
-			*cp++ = n;
-			/* key */
-			if ((n = getword_str(buf2, sizeof buf2,
-					     &startp, endp)) < 0)
-				return (-1);
-			keylen = b64_pton(buf2, buf3, sizeof(buf3));
-			if (keylen < 0)
-				return (-1);
-			ShrinkBuffer(keylen);
-			memcpy(cp, buf3, keylen);
-			cp += keylen;
-			break;
 		case ns_t_nxt:
 		    {
 			int success, nxt_type;
@@ -613,6 +585,38 @@
 			cp += n;
 			break;
 		    }
+#endif
+#if 1
+		case ns_t_key:
+			/* flags */
+			n = gethexnum_str(&startp, endp);
+			if (n < 0)
+				return (-1);
+			ShrinkBuffer(INT16SZ);
+			PUTSHORT(n, cp);
+			/* proto */
+			n = getnum_str(&startp, endp);
+			if (n < 0)
+				return (-1);
+			ShrinkBuffer(1);
+			*cp++ = n;
+			/* alg */
+			n = getnum_str(&startp, endp);
+			if (n < 0)
+				return (-1);
+			ShrinkBuffer(1);
+			*cp++ = n;
+			/* key */
+			if ((n = getword_str(buf2, sizeof buf2,
+					     &startp, endp)) < 0)
+				return (-1);
+			keylen = b64_pton(buf2, buf3, sizeof(buf3));
+			if (keylen < 0)
+				return (-1);
+			ShrinkBuffer(keylen);
+			memcpy(cp, buf3, keylen);
+			cp += keylen;
+			break;
 		case ns_t_cert:
 			/* type */
 			n = getnum_str(&startp, endp);
@@ -645,6 +649,8 @@
 			break;
 #endif
 		default:
+		  fprintf(stderr, "NSupdate of RR type: %d not implemented\n",
+			  rrecp->r_type);
 			return (-1);
 		} /*switch*/
 		n = (u_int16_t)((cp - sp2) - INT16SZ);
@@ -679,6 +685,35 @@
                                 continue;
                         }
                 }
+                (*startpp)++;
+                if (cp >= buf+size-1)
+                        break;
+                *cp++ = (u_char)c;
+        }
+        *cp = '\0';
+        return (cp != buf);
+}
+
+/*
+ * Get a phrase - possibly containing blanks - from a string (not file)
+ * into buf. modify the start pointer to point after the
+ * phrase in the string.
+ */
+static int
+getphrase_str(char *buf, int size, const u_char **startpp, const u_char *endp) {
+        char *cp;
+        int c;
+ 
+        for (cp = buf; *startpp <= endp; ) {
+                c = **startpp;
+                if (isspace(c) && cp == buf ) {
+			/* leading whitespace */
+			(*startpp)++;
+			continue;
+		}
+		else if ( c == '\0' ) {
+			break;
+		}
                 (*startpp)++;
                 if (cp >= buf+size-1)
                         break;
